import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./teaser-selectable-download.stories";

<Meta of={ComponentStories} name="Docs" />

# Teaser Selectable Download

To make the whole surface of the download teaser clickable, use the `ux-iws-link-wrapper` component
as the root element of the teaser.

<Canvas of={ComponentStories.Default}></Canvas>

# Selectable Download preselected

If the download teaser should be preselected, just add the `checked` attribute to the `ux-checkbox`
element and the `preselected` attribute to the `ux-iws-teaser-selectable-download` component.

<Canvas of={ComponentStories.Preselected}></Canvas>

## Developer Documentation

<Controls />
